Package io.dapr.v1

# Class DaprGrpc

java.lang.Object
io.dapr.v1.DaprGrpc

    @Generated(value="by gRPC proto compiler (version 1.25.0)",
               comments="Source: dapr.proto")
    public final class DaprGrpc
    extends java.lang.Object

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DaprGrpc.DaprBlockingStub` | Dapr service provides APIs to user application to access Dapr building blocks.
  `static class` | `DaprGrpc.DaprFutureStub` | Dapr service provides APIs to user application to access Dapr building blocks.
  `static class` | `DaprGrpc.DaprImplBase` | Dapr service provides APIs to user application to access Dapr building blocks.
  `static class` | `DaprGrpc.DaprStub` | Dapr service provides APIs to user application to access Dapr building blocks.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `SERVICE_NAME` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static io.grpc.MethodDescriptor<DaprProtos.DeleteStateRequest,​com.google.protobuf.Empty>` | `getDeleteStateMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.GetSecretRequest,​DaprProtos.GetSecretResponse>` | `getGetSecretMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.GetStateRequest,​DaprProtos.GetStateResponse>` | `getGetStateMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.InvokeBindingRequest,​DaprProtos.InvokeBindingResponse>` | `getInvokeBindingMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.InvokeServiceRequest,​CommonProtos.InvokeResponse>` | `getInvokeServiceMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.PublishEventRequest,​com.google.protobuf.Empty>` | `getPublishEventMethod()` |
  `static io.grpc.MethodDescriptor<DaprProtos.SaveStateRequest,​com.google.protobuf.Empty>` | `getSaveStateMethod()` |
  `static io.grpc.ServiceDescriptor` | `getServiceDescriptor()` |
  `static DaprGrpc.DaprBlockingStub` | `newBlockingStub​(io.grpc.Channel channel)` | Creates a new blocking-style stub that supports unary and streaming output calls on the service
  `static DaprGrpc.DaprFutureStub` | `newFutureStub​(io.grpc.Channel channel)` | Creates a new ListenableFuture-style stub that supports unary calls on the service
  `static DaprGrpc.DaprStub` | `newStub​(io.grpc.Channel channel)` | Creates a new async stub that supports all call types for the service

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME
    See Also:
      Constant Field Values

- ## Method Details

  - ### getInvokeServiceMethod

    public static io.grpc.MethodDescriptor<DaprProtos.InvokeServiceRequest,​CommonProtos.InvokeResponse> getInvokeServiceMethod()

  - ### getGetStateMethod

    public static io.grpc.MethodDescriptor<DaprProtos.GetStateRequest,​DaprProtos.GetStateResponse> getGetStateMethod()

  - ### getSaveStateMethod

    public static io.grpc.MethodDescriptor<DaprProtos.SaveStateRequest,​com.google.protobuf.Empty> getSaveStateMethod()

  - ### getDeleteStateMethod

    public static io.grpc.MethodDescriptor<DaprProtos.DeleteStateRequest,​com.google.protobuf.Empty> getDeleteStateMethod()

  - ### getPublishEventMethod

    public static io.grpc.MethodDescriptor<DaprProtos.PublishEventRequest,​com.google.protobuf.Empty> getPublishEventMethod()

  - ### getInvokeBindingMethod

    public static io.grpc.MethodDescriptor<DaprProtos.InvokeBindingRequest,​DaprProtos.InvokeBindingResponse> getInvokeBindingMethod()

  - ### getGetSecretMethod

    public static io.grpc.MethodDescriptor<DaprProtos.GetSecretRequest,​DaprProtos.GetSecretResponse> getGetSecretMethod()

  - ### newStub

    public static DaprGrpc.DaprStub newStub​(io.grpc.Channel channel)
    Creates a new async stub that supports all call types for the service

  - ### newBlockingStub

    public static DaprGrpc.DaprBlockingStub newBlockingStub​(io.grpc.Channel channel)
    Creates a new blocking-style stub that supports unary and streaming output calls on the service

  - ### newFutureStub

    public static DaprGrpc.DaprFutureStub newFutureStub​(io.grpc.Channel channel)
    Creates a new ListenableFuture-style stub that supports unary calls on the service

  - ### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()